petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCSetPrimalVerticesIS

Set additional user defined primal vertices in PCBDDC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetPrimalVerticesIS(PC pc, IS PrimalVertices)

Collective

### Input Parameters

| pc | - the preconditioning context
| PrimalVertices | - index set of primal vertices in global numbering (can be empty)

### Notes

Any process can list any global node

### See Also

PCBDDC, PCBDDCGetPrimalVerticesIS(), PCBDDCSetPrimalVerticesLocalIS(), PCBDDCGetPrimalVerticesLocalIS()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCSetPrimalVerticesIS_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages